<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zjt.mapper.ProductionVarietyDetailColourMapper">
    <resultMap id="BaseResultMap" type="com.zjt.entity.ProductionVarietyDetailColour">
        <id column="variety_details_id" jdbcType="FLOAT" property="varietyDetailsId" />
        <result column="colour" jdbcType="VARCHAR" property="colour" />
        <result column="variety_details_id" jdbcType="FLOAT" property="varietyDetailsId" />
    </resultMap>

    <select id="selectvarietyDetailsColour">
        select * from production_variety_detail_colour
        where variety_details_id=#{varietyId}
    </select>

    <select id="selectColour" resultMap="BaseResultMap">
        select * from production_variety_detail_colour
        where variety_details_id=#{varietyDetailId}
    </select>
</mapper>
